%define name    syslog-ng
%define version 1.4.17
%define release 3mdk

Summary:	Syslog-ng daemon.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Kernel and hardware
License:	GPL
Url:		http://www.balabit.hu/products/syslog-ng/
Source0: 	%{name}-%{version}.tar.gz
Source1: 	%{name}-%{version}.tar.gz.asc
Source2:	syslog-ng.init
Source3:	syslog-ng.conf
Patch:		syslog-conf.patch.bz2
Requires:	libol0 >= 0.2.23
BuildPreReq:	libol0-devel >= 0.2.23
BuildRequires:	flex
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
Syslog-ng, as the name shows, is a syslogd replacement, but with new 
functionality for the new generation. The original syslogd allows 
messages only to be sorted based on priority/facility pairs; syslog-ng 
adds the possibility to filter based on message contents using regular 
expressions. The new configuration scheme is intuitive and powerful. 
Forwarding logs over TCP and remembering all forwarding hops makes it 
ideal for firewalled environments.

%prep

%setup -q
%patch -p1

%build
%configure --sbindir=/sbin
make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_initrddir}
make DESTDIR=%{buildroot} sbindir=/sbin sysconfdir=%{_sysconfdir} \
  mandir=%{_mandir} prefix=%{_prefix} install

install -m755 %{SOURCE2} %{buildroot}%{_initrddir}/syslog-ng
install -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/syslog-ng.conf

%post
chkconfig --add syslog-ng
# Turn off syslog for all levels
chkconfig --level 0123456 syslog off

%preun
chkconfig --del syslog-ng
# re-enable syslog (something must do the logging!)
chkconfig --level 2345 syslog on

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -r $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog INSTALL NEWS PORTS
%doc doc/sgml/syslog-ng.txt
%doc doc/*.demo doc/*.sample doc/*.solaris
%config(noreplace) %{_sysconfdir}/syslog-ng.conf
%config(noreplace) %{_initrddir}/syslog-ng
/sbin/syslog-ng
%{_mandir}/man5/syslog-ng.conf.5*
%{_mandir}/man8/syslog-ng.8*

%changelog
* Sun Apr 13 2003 Marcel Pol <mpol@gmx.net> 1.4.17-3mdk
- buildrequires

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.4.17-2mdk
- rebuild

* Mon Oct 28 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.17-1mdk
- new version
- added the gnupg sig file

* Sun Oct 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.16-1mdk
- security fix, see http://www.balabit.hu/static/zsa/ZSA-2002-014-en.txt

* Wed May 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4.15-1mdk
- 1.4.15

* Thu Jan 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4.14-2mdk
- fix initscript ( thx Simone Piunno )
- better desc.

* Fri Nov 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.14-1mdk
- 1.4.14

* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.12-1mdk
- 1.4.12

* Wed Jan 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.10-1mdk
- used srpm from John Johnson <jjohnson@linux-mandrake.com> :
	- Updated syslog-ng to version 1.4.
 
* Mon Nov 13 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.4.8-2mdk
- specfile cleaning, use macros
- rewrote init file
- wrote proper syslog-ng.conf file based on syslog.conf
- patch so config goes in /etc not /etc/syslog-ng
- syslog-ng goes in /sbin not /usr/sbin

* Wed Nov 8 2000 John Johnson <jjohnson@linux-mandrake.com> 1.4.8-1mdk
- Made Mandrake rpm 
